> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigcapital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new vendor.



## OpenAPI

````yaml api-reference/openapi.json post /api/vendors
openapi: 3.0.0
info:
  title: Bigcapital
  description: Financial accounting software
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/vendors:
    post:
      tags:
        - Vendors
      summary: Create a new vendor.
      operationId: VendorsController_createVendor
      parameters:
        - name: Authorization
          in: header
          description: >-
            Value must be 'Bearer <token>' where <token> is an API key prefixed
            with 'bc_' or a JWT token.
          required: true
          schema:
            type: string
            example: Bearer bc_1234567890abcdef
        - name: organization-id
          in: header
          description: >-
            Required if Authorization is a JWT token. The organization ID to
            operate within.
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateVendorDto'
      responses:
        '201':
          description: ''
components:
  schemas:
    CreateVendorDto:
      type: object
      properties:
        billingAddress1:
          type: string
          description: Billing address line 1
        billingAddress2:
          type: string
          description: Billing address line 2
        billingAddressCity:
          type: string
          description: Billing address city
        billingAddressCountry:
          type: string
          description: Billing address country
        billingAddressEmail:
          type: string
          description: Billing address email
        billingAddressPostcode:
          type: string
          description: Billing address postcode
        billingAddressPhone:
          type: string
          description: Billing address phone
        billingAddressState:
          type: string
          description: Billing address state
        shippingAddress1:
          type: string
          description: Shipping address line 1
        shippingAddress2:
          type: string
          description: Shipping address line 2
        shippingAddressCity:
          type: string
          description: Shipping address city
        shippingAddressCountry:
          type: string
          description: Shipping address country
        shippingAddressEmail:
          type: string
          description: Shipping address email
        shippingAddressPostcode:
          type: string
          description: Shipping address postcode
        shippingAddressPhone:
          type: string
          description: Shipping address phone
        shippingAddressState:
          type: string
          description: Shipping address state
        openingBalance:
          type: number
          description: Vendor opening balance
        openingBalanceExchangeRate:
          type: number
          description: Vendor opening balance exchange rate
          default: 1
        openingBalanceAt:
          format: date-time
          type: string
          description: >-
            Date of the opening balance (required when openingBalance is
            provided)
        openingBalanceBranchId:
          type: number
          description: Branch ID for the opening balance
        currencyCode:
          type: string
          description: Currency code for the vendor
        salutation:
          type: string
          description: Vendor salutation
        firstName:
          type: string
          description: Vendor first name
        lastName:
          type: string
          description: Vendor last name
        companyName:
          type: string
          description: Vendor company name
        displayName:
          type: string
          description: Vendor display name
        website:
          type: string
          description: Vendor website
        email:
          type: string
          description: Vendor email address
        workPhone:
          type: string
          description: Vendor work phone number
        personalPhone:
          type: string
          description: Vendor personal phone number
        note:
          type: string
          description: Additional notes about the vendor
        active:
          type: boolean
          description: Whether the vendor is active
          default: true
      required:
        - currencyCode

````